# Class Relation

Relation class This is a more common interface for the relation string

- Defined in relations/relation.ts:8

##### Index

### Constructors

constructor

### Properties

path
relationString
sourceTblName
subView?
targetTblName
viewDisplayType
fixedUserRelation

### Accessors

type

### Methods

isFixedRelation

## Constructors

### constructor

- new Relation(
  relationString: string,
  targetTblName: string,
  viewDisplayType: ViewDisplayType,
  ): Relation

  #### Parameters

  - relationString: string
  - targetTblName: string
  - viewDisplayType: ViewDisplayType

  #### Returns Relation

  - Defined in relations/relation.ts:23

## Properties

### path

path: any[]

- Defined in relations/relation.ts:14

### relationString

relationString: string

- Defined in relations/relation.ts:9

### sourceTblName

sourceTblName: string

- Defined in relations/relation.ts:10

### `Optional` subView

subView?: any

- Defined in relations/relation.ts:13

### targetTblName

targetTblName: string

- Defined in relations/relation.ts:11

### viewDisplayType

viewDisplayType: any

- Defined in relations/relation.ts:12

### `Static` fixedUserRelation

fixedUserRelation: string = ".users._logged_in_ref_without_rel_"

- Defined in relations/relation.ts:16

## Accessors

### type

- get type(): | RELATION_PATH
  | OWN
  | INDEPENDENT
  | CHILD_LIST
  | ONE_TO_ONE_SHOW
  | PARENT_SHOW
  | null

  get the relation type

  #### Returns
  | RELATION_PATH
  | OWN
  | INDEPENDENT
  | CHILD_LIST
  | ONE_TO_ONE_SHOW
  | PARENT_SHOW
  | null

  - Defined in relations/relation.ts:48

## Methods

### isFixedRelation

- isFixedRelation(): boolean

  #### Returns boolean

  - Defined in relations/relation.ts:68